Name:		pciutils
Version:	2.1.6
Release:	2mdk
Source0:	ftp://metalab.unc.edu/pub/Linux/hardware/%{name}-%{version}.tar.bz2
URL:		http://atrey.karlin.mff.cuni.cz/~mj/pciutils.html
Patch: 		pciutils-werror.patch.bz2
Patch1:		pciutils-2.1.6-cardbusonlywhenroot.patch.bz2
Copyright:	GNU GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
ExclusiveOS: 	Linux
Summary: Linux PCI utilities.
Requires: kernel >= 2.1.82
Group: System/Kernel and hardware
Prefix: %{_prefix}

%description
This package contains various utilities for inspecting
and setting devices connected to the PCI bus.

It requires kernel version 2.1.82 or newer (supporting
the /proc/bus/pci interface).

%package devel
Summary: Linux PCI development library
Group: Development/C

%description devel
This package contains a library for inspecting and setting
devices connected to the PCI bus.

%prep
%setup -q
%patch -p1
%patch1 -p1

%build
make OPT="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make install ROOT=$RPM_BUILD_ROOT/%{prefix} PREFIX=$RPM_BUILD_ROOT/%{prefix} 


mkdir -p $RPM_BUILD_ROOT/usr/{bin,include/pci,lib}

install lib/libpci.a $RPM_BUILD_ROOT/usr/lib
install lib/pci.h $RPM_BUILD_ROOT/usr/include/pci
install lib/header.h $RPM_BUILD_ROOT/usr/include/pci
install lib/config.h $RPM_BUILD_ROOT/usr/include/pci

mv $RPM_BUILD_ROOT/usr/sbin/lspci $RPM_BUILD_ROOT/usr/bin/

%files
%defattr(-,root,root)
/usr/man/man8/*
/usr/bin/*
/usr/sbin/*
/usr/share/pci.ids
%doc README ChangeLog pciutils.lsm

%files devel
%defattr(-, root, root)
%doc TODO
/usr/lib/libpci.a
/usr/include/pci/*.h

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Apr 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.6-2mdk
- move lspci to /usr/bin since it's userspace.
- Read Cardbus info only when we are root.
- Clean-up specs.

* Mon Apr 17 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 2.1.6-1mdk
- 2.1.6
- new BuildRoot
- remove ExcludeArch armv4l
- add TODO as pciutils-devel documentation

* Sat Mar 25 2000 Pixel <pixel@mandrakesoft.com> 2.1.5-2mdk
- new group

* Wed Feb 16 2000 Pixel <pixel@mandrakesoft.com> 2.1.5-1mdk
- new version

* Sun Nov 21 1999 Pixel <pixel@mandrakesoft.com>
- removed %config for pci.ids (someone was zealous here?)
- changed 0711 to 0755 for lspci (makes rpmlint happy :)

* Sun Nov  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- s/=>/>=//g in Requires:.

* Sun Oct 31 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 2.1 final.

* Tue Oct 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.1-pre8.

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- NMU: Build release.

* Fri Oct  1 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Add pciutils-devel package.

* Fri Aug 13 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 2.1pre5
- cleaning spec

* Thu Jul 15 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- update to 2.1-pre4.tar.bz2

* Wed May 19 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 2.0

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Mon Apr 19 1999 Jakub Jelinek  <jj@ultra.linux.cz>
- update to 1.99.5
- fix sparc64 operation

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Thu Feb  4 1999 Bill Nottingham <notting@redhat.com>
- initial build
